net.minecraft.client.gui.inventory

## Class GuiContainer

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiScreen
    - - net.minecraft.client.gui.inventory.GuiContainer

- Direct Known Subclasses:
    GuiBeacon, GuiBrewingStand, GuiChest, GuiCrafting, GuiDispenser, GuiEnchantment, GuiFurnace, GuiHopper, GuiMerchant, GuiRepair, GuiScreenHorseInventory, InventoryEffectRenderer

      public abstract class GuiContainer
      extends GuiScreen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ResourceLocation` | `field_147001_a`
    `protected boolean` | `field_147007_t`
    `protected java.util.Set` | `field_147008_s`
    `protected int` | `guiLeft`
    `protected int` | `guiTop`
    `Container` | `inventorySlots`
    `protected int` | `xSize`
    `protected int` | `ySize`

    - ### Fields inherited from class net.minecraft.client.gui.GuiScreen

      `allowUserInput, buttonList, fontRendererObj, height, itemRender, labelList, mc, width`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiContainer(Container par1Container)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `checkHotbarKeys(int p_146983_1_)`
    `boolean` | `doesGuiPauseGame()`
    `protected abstract void` | `drawGuiContainerBackgroundLayer(float var1, int var2, int var3)`
    `protected void` | `drawGuiContainerForegroundLayer(int p_146979_1_, int p_146979_2_)`
    `void` | `drawScreen(int par1, int par2, float par3)`
    `protected boolean` | `func_146978_c(int p_146978_1_, int p_146978_2_, int p_146978_3_, int p_146978_4_, int p_146978_5_, int p_146978_6_)`
    `protected void` | `handleMouseClick(Slot p_146984_1_, int p_146984_2_, int p_146984_3_, int p_146984_4_)`
    `void` | `initGui()`
    `protected void` | `keyTyped(char par1, int par2)`
    `protected void` | `mouseClicked(int par1, int par2, int par3)`
    `protected void` | `mouseClickMove(int p_146273_1_, int p_146273_2_, int p_146273_3_, long p_146273_4_)`
    `protected void` | `mouseMovedOrUp(int p_146286_1_, int p_146286_2_, int p_146286_3_)`
    `void` | `onGuiClosed()`
    `void` | `updateScreen()`

    - ### Methods inherited from class net.minecraft.client.gui.GuiScreen

      `actionPerformed, confirmClicked, drawBackground, drawCreativeTabHoveringText, drawDefaultBackground, drawHoveringText, drawWorldBackground, func_146283_a, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, renderToolTip, setClipboardString, setWorldAndResolution`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_147001_a

          protected static final ResourceLocation field_147001_a

    - #### xSize

          protected int xSize

    - #### ySize

          protected int ySize

    - #### inventorySlots

          public Container inventorySlots

    - #### guiLeft

          protected int guiLeft

    - #### guiTop

          protected int guiTop

    - #### field_147008_s

          protected final java.util.Set field_147008_s

    - #### field_147007_t

          protected boolean field_147007_t

  - ### Constructor Detail

    - #### GuiContainer

          public GuiContainer(Container par1Container)

  - ### Method Detail

    - #### initGui

          public void initGui()

      Overrides:
        `initGui` in class `GuiScreen`

    - #### drawScreen

          public void drawScreen(int par1,
                        int par2,
                        float par3)

      Overrides:
        `drawScreen` in class `GuiScreen`

    - #### drawGuiContainerForegroundLayer

          protected void drawGuiContainerForegroundLayer(int p_146979_1_,
                                             int p_146979_2_)

    - #### drawGuiContainerBackgroundLayer

          protected abstract void drawGuiContainerBackgroundLayer(float var1,
                                             int var2,
                                             int var3)

    - #### mouseClicked

          protected void mouseClicked(int par1,
                          int par2,
                          int par3)

      Overrides:
        `mouseClicked` in class `GuiScreen`

    - #### mouseClickMove

          protected void mouseClickMove(int p_146273_1_,
                            int p_146273_2_,
                            int p_146273_3_,
                            long p_146273_4_)

      Overrides:
        `mouseClickMove` in class `GuiScreen`

    - #### mouseMovedOrUp

          protected void mouseMovedOrUp(int p_146286_1_,
                            int p_146286_2_,
                            int p_146286_3_)

      Overrides:
        `mouseMovedOrUp` in class `GuiScreen`

    - #### func_146978_c

          protected boolean func_146978_c(int p_146978_1_,
                              int p_146978_2_,
                              int p_146978_3_,
                              int p_146978_4_,
                              int p_146978_5_,
                              int p_146978_6_)

    - #### handleMouseClick

          protected void handleMouseClick(Slot p_146984_1_,
                              int p_146984_2_,
                              int p_146984_3_,
                              int p_146984_4_)

    - #### keyTyped

          protected void keyTyped(char par1,
                      int par2)

      Overrides:
        `keyTyped` in class `GuiScreen`

    - #### checkHotbarKeys

          protected boolean checkHotbarKeys(int p_146983_1_)

    - #### onGuiClosed

          public void onGuiClosed()

      Overrides:
        `onGuiClosed` in class `GuiScreen`

    - #### doesGuiPauseGame

          public boolean doesGuiPauseGame()

      Overrides:
        `doesGuiPauseGame` in class `GuiScreen`

    - #### updateScreen

          public void updateScreen()

      Overrides:
        `updateScreen` in class `GuiScreen`